<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY gnome-shell-download-http
           "&gnome-download-http;/gnome-shell/&gnome-47;/gnome-shell-&gnome-shell-version;.tar.xz">
  <!ENTITY gnome-shell-download-ftp  " ">
  <!ENTITY gnome-shell-md5sum        "d6d7e371c2eef21ffc55f1259fbaecba">
  <!ENTITY gnome-shell-size          "2.0 MB">
  <!ENTITY gnome-shell-buildsize     "57 MB (with tests)">
  <!ENTITY gnome-shell-time          "0.1 SBU (Using parallelism=4; with tests)">
]>

<sect1 id="gnome-shell" xreflabel="gnome-shell-&gnome-shell-version;">
  <?dbhtml filename="gnome-shell.html"?>


  <title>gnome-shell-&gnome-shell-version;</title>

  <indexterm zone="gnome-shell">
    <primary sortas="a-gnome-shell">gnome-shell</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to GNOME Shell</title>

    <para>
      The <application>GNOME Shell</application> is the core user interface of
      the <application>GNOME</application> Desktop environment.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&gnome-shell-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&gnome-shell-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &gnome-shell-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &gnome-shell-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &gnome-shell-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &gnome-shell-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">GNOME Shell Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="evolution-data-server"/>,
      <xref linkend="gcr4"/>,
      <xref linkend="gjs"/>,
      <xref linkend="gnome-desktop"/>,
      <xref linkend="ibus"/>,
      <xref linkend="mutter"/>,
      <xref linkend="polkit"/>, and
      <xref linkend="startup-notification"/>
    </para>

    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="desktop-file-utils"/>,
      <xref linkend="gnome-autoar"/>,
      <xref linkend="gnome-bluetooth"/>,
      <xref linkend="gst10-plugins-base"/>,
      <xref linkend="NetworkManager"/>, and
      <xref linkend="power-profiles-daemon"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="gtk-doc"/> and
      <ulink url="https://github.com/scop/bash-completion">bash-completion</ulink>
    </para>

    <bridgehead renderas="sect4">Required Runtime Dependencies</bridgehead>
    <para role="required">
      <xref role="runtime" linkend="adwaita-icon-theme"/>,
      <xref role="runtime" linkend="dconf"/>,
      <phrase revision="sysv">
        <xref role='runtime' linkend="elogind"/>,
      </phrase>
      <xref role="runtime" linkend="gdm"/>,
      <xref role="runtime" linkend="gnome-control-center"/>,
      <phrase revision="sysv">and</phrase>
      <xref role="runtime" linkend="libgweather"/>
      <phrase revision="systemd">, and</phrase>
      <phrase revision="systemd">
        <xref role='runtime' linkend="systemd"/>
      </phrase>
    </para>

    <bridgehead renderas="sect4">Recommended Runtime Dependencies</bridgehead>
    <para role="recommended">
      <phrase revision='sysv'><xref linkend="blocaled" role="runtime"/>
      and </phrase><xref role="runtime" linkend="gnome-menus"/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of GNOME Shell</title>

    <para>
      Install <application>GNOME Shell</application> by running the
      following commands:
    </para>

<screen revision="sysv"><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr       \
            --buildtype=release \
            -D systemd=false    \
            -D tests=false      \
            ..                  &amp;&amp;
ninja</userinput></screen>

<screen revision="systemd"><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr       \
            --buildtype=release \
            -D tests=false      \
            ..                  &amp;&amp;
ninja</userinput></screen>

    <para>
      To run the tests, ensure <application>Mutter</application> is installed
      after running its test suite, and issue: <command>meson configure -D
      tests=true &amp;&amp; ninja test</command>. You must be
      running an X session to run the tests. Some will fail if <xref
      linkend="gdm"/> is not installed. <phrase revision="sysv">Several
      more tests may fail in the Sysv environment.</phrase>
      <!-- "Failed to read monitors config file
           '/home/xry111/.config/monitors.xml': Logical monitors not
           adjacent"
           The same thing happens in mutter but it's worked around with
           HOME="".  We cannot use HOME="" here or more tests will fail.
           We also cannot tell the users to remove monitors.xml because
           doing so will purge their monitor settings.  Maybe we can
           use bwrap to run the test with an empty tmpfs mounted on $HOME
           in a separate namespace, but it's too overkill IMO.
           DO NOT REMOVE unless you've tested with a "complex multi-monitor
           configuration" (with mixed scaling settings and "strange"
           positions of monitors). -->
      One test named <filename>CSS styling support</filename> is known to
      fail with some multi-monitor configurations.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

<!--
    <para revision="sysv">
      <command>patch ...</command>: This patch fixes a bug when trying to
      start an xwayland application on non systemd.
    </para>
-->

    <para revision="sysv">
      <parameter>-D systemd=false</parameter>: Prevents installing systemd
      files, which are not needed in this version of BLFS.
    </para>

    <para>
      <option>-D extensions_tool=false</option>: This switch allows building
      this package without <xref linkend='gnome-autoar'/> installed.
    </para>

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          gnome-extensions, gnome-extensions-app, gnome-shell,
          gnome-shell-extension-prefs, gnome-shell-extension-tool,
          and gnome-shell-test-tool
        </seg>
        <seg>
          None
        </seg>
        <seg>
          /usr/lib/gnome-shell,
          /usr/share/gnome-shell,
          /usr/share/gtk-doc/html/{shell,st} (optional), and
          /usr/share/xdg-desktop-portal/
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="gnome-shell-prog">
        <term><command>gnome-shell</command></term>
        <listitem>
          <para>
            provides the core user interface functions for the
            <application>GNOME</application> Desktop
          </para>
          <indexterm zone="gnome-shell gnome-shell-prog">
            <primary sortas="b-gnome-shell">gnome-shell</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
